function val = model_exp(x,varargin)
% Model: F(x) = a*exp(x)+b*x+c

% One input argument (x) 
%    --> return exp(x) and x and 1 (corresponds to one line in A)
if nargin==1
  val(1) = exp(x);
  val(2) = x;
  val(3) = 1;
% Two input arguemnts (x,coeffs) 
%    -->  evaluate the function F with coefficients coeffs 
%         at the x-values stored int he vextor x
else
   coeffs = varargin{1};
   val = coeffs(1)*exp(x) + coeffs(2)*x + coeffs(3);
end
  
