function val = model_poly2(x,varargin)
% Model: F(x) = a*x^2+b*x+c

% One input argument (x) 
%    --> return x^2, x and 1 (corresponds to one line in A)
if nargin==1
  val(1) = x^2;
  val(2) = x;
  val(3) = 1;
% Two input arguemnts (x,coeffs) 
%    -->  evaluate the function F with coefficients coeffs 
%         at the x-values stored in the vextor x
else
   coeffs = varargin{1};
   val = coeffs(1)*x.^2 + coeffs(2)*x + coeffs(3);
end
  
